/*
 *  Copyright (C) 2007-2008 CMM Sigma Andrzej Chmielowiec <cmmsigma@cmmsigma.eu>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#include "Request.h"

Request::Request()
{
	QTreeWidgetItem::setIcon(0, QIcon(QString(":img/add_user.png")));
}

void
Request::setFileName(const QString &name)
{
	mFileName = name;
}

void
Request::setSubject(const QString &subj)
{
	Subject::setAll(subj);
	QTreeWidgetItem::setText(0, Subject::commonName() + QString(",  ") + 
		Subject::organizationName());
}

QString
Request::fileName()
{
	return mFileName;
}

QString
Request::subject()
{
	return Subject::all();
}
